%define		version 2.0.1

Summary:	A channel-independent conference application for the Asterisk PBX
Name:		asterisk-app_conference
Version:	%{version}
Release:	%mkrel 3
License:	GPL
Group:		System/Servers
URL:		http://sourceforge.net/projects/appconference/
Source0:	http://puzzle.dl.sourceforge.net/sourceforge/appconference/appconference-%{version}.tar.gz
Patch0:		app_conference-2.0.1-svnversion.diff
BuildRequires:	asterisk-devel, subversion
Requires:	asterisk
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
A channel-independent conference application for the Asterisk PBX.

%prep

%setup -q -n appconference-%{version}
%patch0 -p1

# fix dir perms
#find . -type d | xargs chmod 755
    
# fix file perms
#find . -type f | xargs chmod 644

# clean up CVS stuff
#for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -#type f -name .#\*`; do
#    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
#done

%build

%make ASTERISK_INCLUDE_DIR="%{includedir}" CFLAGS="%{optflags} -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_prefix}/lib/asterisk/modules
%makeinstall INSTALL_PREFIX="%{buildroot}"

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README
%attr(0755,root,root) %{_prefix}/lib/asterisk/modules/app_conference.so



%changelog
* Wed Aug 12 2009 Lonyai Gergely <aleph@mandriva.org> 2.0.1-3mdv2008.1
+ Revision: 415548
- rebuild
- update to 2.0.1

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - Branching 2008.1 release for updates.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Feb 19 2006 Oden Eriksson <oeriksson@mandriva.com> 0.0.1-0.20051221.1mdk
- initial Mandriva package

